読者です 読者をやめる 読者になる 読者になる

docker-compose で service 'version' doesn't have any configuration options. のエラー

Docker

docker-composeで以下のエラーが出た。

ERROR: In file './docker-compose.yml' service 'version' doesn't have any configuration options. All top level keys in your docker-compose.yml must map to a dictionary of configuration options.

docker-compose のバージョンが古くて、
docker-compose.yml の新しい書式を読み込めないらしい。

こっちが古い書式で、バージョン1っていうらしい。
https://docs.docker.com/compose/compose-file/#version-1

こっちが新しい書式で、バージョン2っていうらしい。
https://docs.docker.com/compose/compose-file/#version-2

dockerのバージョンを 1.6 に上げるか、
古い書式で書けば動くはず。